Subject: Re: cl-series: Build error: illegal function call
From: Luca Capello <[email-masked]>
To: "Karl M. Hegbloom" <[email-masked]>
Cc: [email-masked]
Date: Sun, 15 Jun 2008 21:54:41 +0200

fixed 191601 1:2.2.8-1
thanks

Hi Karl!

FYI I'm trying to reproduce all the bugs in Common Lisp packages.

On Fri, 02 May 2003 04:57:11 +0200, Karl M. Hegbloom wrote:
> Package: cl-series
> Version: 1:2.2.7-1
[...]
> This is the clc-build-daemon reporting a build failure.
>
> While recompiling package series for compiler sbcl I got the error
> code 1
[...]
> If you want to retry the compilation and possibly report this as a bug
> then please read /usr/share/doc/common-lisp-controller/REPORTING-BUGS
>
> The command to retry the recompilation is:
> clc-send-command --verbose remove series sbcl ; echo returns: $?
> clc-send-command --verbose recompile series sbcl ; echo returns: $?
>
> After this message I will append the last few lines of output.

A lot of improvements have been made to common-lisp-controller which
indeed doesn't have anymore the clc-send-command script since v4 [1].

[1] /usr/share/doc/common-lisp-controller/DESIGN.txt

CL library loading now relies on ASDF, so I tried to compile cl-series
both as explained at [1] or simply `(asdf:oos 'asdf:load-op :lib)'.
Here the results for different cl-series versions on SBCL_1:1.0.17.0-1.

- 1:2.2.7-1 fails the first run with:
  =====
  ; compiling (COMMON-LISP:DEFUN SERIES-P ...)
  ; compiling (DEFTYPE SERIES ...)
  debugger invoked on a SB-KERNEL:DECLARATION-TYPE-CONFLICT-ERROR in thread #<THREAD "initial thread" {1002704AC1}>:
    symbol SERIES cannot be both the name of a type and the name of a declaration
  See also:
    The ANSI Standard, Section 3.8.21
  =====

  The second run fails too:
  =====
  debugger invoked on a UNDEFINED-FUNCTION in thread #<THREAD "initial thread" {1002704AC1}>:
    The function SERIES::SERIES-READER is undefined.
  =====

- 1:2.2.8-1 fails the first run as 1:2.2.7-1, but then compiles successfully.

- 1:2.2.9-1 compiles without any problem and so do 1:2.2.9-2 and 1:2.2.9-3.

FWIW, with CLISP_1:2.44-1, I got the following results.

- 1:2.2.7-1 fails with:
  =====
  ;; Loading file /var/cache/common-lisp-controller/1000/clisp/series/s-install.fas ...
  *** - (USE-PACKAGE (#<PACKAGE SERIES>) #<PACKAGE COMMON-LISP-USER>): 1 name conflicts remain
      Which symbol with name "SERIES" should be accessible in #<PACKAGE COMMON-LISP-USER>?
  =====

- 1:2.2.8-1 and all 1:2.2.9-* compile successfully.

Because of the tests above, I'm quite sure the bug you experienced was
fixed in upstream version 2.2.8.  Thus I marked this bug as fixed in
version 1:2.2.8-1 and closed it.  Feel free to reopen it!

Thx, bye,
Gismo / Luca